Glib::Value< Glib::RefPtr< Gtk::RecentInfo > > Class Template Reference
Inheritance diagram for Glib::Value< Glib::RefPtr< Gtk::RecentInfo > >:
[legend]

## Public Types

typedef Glib::RefPtr < Gtk::RecentInfo > | CppType
typedef GtkRecentInfo* | CType

## Public Member Functions

void | set (const CppType& data)
CppType | get () const

## Static Public Member Functions

static GType | value_type ()
Static Public Member Functions inherited from Glib::ValueBase_Boxed
static GType | value_type ()

## Additional Inherited Members

Protected Member Functions inherited from Glib::ValueBase_Boxed
void | set_boxed (const void *data)
void * | get_boxed () const

## Member Typedef Documentation

typedef Glib::RefPtr<Gtk::RecentInfo> Glib::Value< Glib::RefPtr< Gtk::RecentInfo > >::CppType

typedef GtkRecentInfo* Glib::Value< Glib::RefPtr< Gtk::RecentInfo > >::CType

## Member Function Documentation

CppType Glib::Value< Glib::RefPtr< Gtk::RecentInfo > >::get | ( |  | ) | const

void Glib::Value< Glib::RefPtr< Gtk::RecentInfo > >::set | ( | const CppType& | data | ) |

static GType Glib::Value< Glib::RefPtr< Gtk::RecentInfo > >::value_type | ( |  | ) |

static

The documentation for this class was generated from the following file:

- gtkmm/recentinfo.h